<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: FrameworkManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_framework_manager_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">FrameworkManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_framework_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef FRAMEWORKMANAGER_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define FRAMEWORKMANAGER_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span>FrameworkManager_impl;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="keyword">class </span>SendData;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    }</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;{</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">class </span>IODevice;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_framework_manager.html">   43</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_framework_manager.html">FrameworkManager</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <a class="code" href="classframework_1_1core_1_1_framework_manager.html#ada7db9f85fae36f27d6b6384971c09c5">FrameworkManager</a>(std::string name);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            <a class="code" href="classframework_1_1core_1_1_framework_manager.html#aa450d1de1dfd800a375793f516778dc0">~FrameworkManager</a>();</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#ad1da240f00558ad89896b213a9ac9fef">SetupConnection</a>(std::string address,uint16_t port,<span class="keywordtype">size_t</span> rcv_buf_size=10000);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#ab50a61d52acbd0577e1929ffe56fe1ea">SetupUserInterface</a>(std::string xml_file);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a>* <a class="code" href="classframework_1_1core_1_1_framework_manager.html#abcdd863f5fe4dc6f63e2f2c6452024d7">GetTabWidget</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a1193a30091d4ea54cdb9629ff05aac3e">SetupLogger</a>(std::string log_path);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a6056cf9ac936155c49613c672ade55ed">AddDeviceToLog</a>(<a class="code" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#ac9ace8e2d4239e880d40a0dbf0730cc1">StartLog</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a20b5c34e89f2254822c630f231ac8547">StopLog</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a2877c46562eb2f44d45806f24883f463">IsLogging</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#addb0842421d006e0768781c056ed05be">SetupDSP</a>(std::string file,<span class="keywordtype">int</span> globalTimeoutMs=-1);</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a5009e267fa360f05d26530375a05cd36">UpdateSendData</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_send_data.html">gui::SendData</a> *obj);</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a2848deb4f447f069240886a053335de8">BlockCom</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#aca78bacec4bcddb9201df47abe1e14e9">UnBlockCom</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#ad2996266061e7f3062347ff71e605617">ConnectionLost</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#acd9d7283180122a3254f34e052591fcc">DisableErrorsDisplay</a>(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html#a3d58cacaea8f578ecd99ccfa97978f80">IsDisplayingErrors</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;            <span class="keyword">class </span>FrameworkManager_impl* pimpl_;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    };</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    <a class="code" href="classframework_1_1core_1_1_framework_manager.html">FrameworkManager</a>* <a class="code" href="namespaceframework_1_1core.html#ace41933a766c454f834b546f5c71bdd8">getFrameworkManager</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="namespaceframework_1_1core.html#ab6fc09fa5e7a051d66214a4d961bc9e9">IsBigEndian</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;<span class="preprocessor">#endif // FRAMEWORKMANAGER_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_aa450d1de1dfd800a375793f516778dc0"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#aa450d1de1dfd800a375793f516778dc0">framework::core::FrameworkManager::~FrameworkManager</a></div><div class="ttdeci">~FrameworkManager()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a3d58cacaea8f578ecd99ccfa97978f80"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a3d58cacaea8f578ecd99ccfa97978f80">framework::core::FrameworkManager::IsDisplayingErrors</a></div><div class="ttdeci">bool IsDisplayingErrors(void) const </div><div class="ttdoc">Is displaying errors? </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_ad1da240f00558ad89896b213a9ac9fef"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#ad1da240f00558ad89896b213a9ac9fef">framework::core::FrameworkManager::SetupConnection</a></div><div class="ttdeci">void SetupConnection(std::string address, uint16_t port, size_t rcv_buf_size=10000)</div><div class="ttdoc">Setup the connection with ground station. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a2848deb4f447f069240886a053335de8"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a2848deb4f447f069240886a053335de8">framework::core::FrameworkManager::BlockCom</a></div><div class="ttdeci">void BlockCom(void)</div><div class="ttdoc">Block communication. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_acd9d7283180122a3254f34e052591fcc"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#acd9d7283180122a3254f34e052591fcc">framework::core::FrameworkManager::DisableErrorsDisplay</a></div><div class="ttdeci">void DisableErrorsDisplay(bool value)</div><div class="ttdoc">Disable errors display. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_ab6fc09fa5e7a051d66214a4d961bc9e9"><div class="ttname"><a href="namespaceframework_1_1core.html#ab6fc09fa5e7a051d66214a4d961bc9e9">framework::core::IsBigEndian</a></div><div class="ttdeci">bool IsBigEndian(void)</div><div class="ttdoc">is big endian? </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_aca78bacec4bcddb9201df47abe1e14e9"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#aca78bacec4bcddb9201df47abe1e14e9">framework::core::FrameworkManager::UnBlockCom</a></div><div class="ttdeci">void UnBlockCom(void)</div><div class="ttdoc">Unblock communication. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_send_data_html"><div class="ttname"><a href="classframework_1_1gui_1_1_send_data.html">framework::gui::SendData</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div><div class="ttdef"><b>Definition:</b> SendData.h:27</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_addb0842421d006e0768781c056ed05be"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#addb0842421d006e0768781c056ed05be">framework::core::FrameworkManager::SetupDSP</a></div><div class="ttdeci">void SetupDSP(std::string file, int globalTimeoutMs=-1)</div><div class="ttdoc">DSP settup. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_ab50a61d52acbd0577e1929ffe56fe1ea"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#ab50a61d52acbd0577e1929ffe56fe1ea">framework::core::FrameworkManager::SetupUserInterface</a></div><div class="ttdeci">void SetupUserInterface(std::string xml_file)</div><div class="ttdoc">Setup the user interface. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a5009e267fa360f05d26530375a05cd36"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a5009e267fa360f05d26530375a05cd36">framework::core::FrameworkManager::UpdateSendData</a></div><div class="ttdeci">void UpdateSendData(const gui::SendData *obj)</div><div class="ttdoc">Notify that SendData&#39;s period has changed. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_ad2996266061e7f3062347ff71e605617"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#ad2996266061e7f3062347ff71e605617">framework::core::FrameworkManager::ConnectionLost</a></div><div class="ttdeci">bool ConnectionLost(void) const </div><div class="ttdoc">Is connection lost? </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab_widget.html">framework::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:27</div></div>
<div class="ttc" id="namespaceframework_1_1core_html_ace41933a766c454f834b546f5c71bdd8"><div class="ttname"><a href="namespaceframework_1_1core.html#ace41933a766c454f834b546f5c71bdd8">framework::core::getFrameworkManager</a></div><div class="ttdeci">FrameworkManager * getFrameworkManager(void)</div><div class="ttdoc">get FrameworkManager </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a2877c46562eb2f44d45806f24883f463"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a2877c46562eb2f44d45806f24883f463">framework::core::FrameworkManager::IsLogging</a></div><div class="ttdeci">bool IsLogging(void) const </div><div class="ttdoc">Is logging? </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a1193a30091d4ea54cdb9629ff05aac3e"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a1193a30091d4ea54cdb9629ff05aac3e">framework::core::FrameworkManager::SetupLogger</a></div><div class="ttdeci">void SetupLogger(std::string log_path)</div><div class="ttdoc">Logger setup. </div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a6056cf9ac936155c49613c672ade55ed"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a6056cf9ac936155c49613c672ade55ed">framework::core::FrameworkManager::AddDeviceToLog</a></div><div class="ttdeci">void AddDeviceToLog(IODevice *device)</div><div class="ttdoc">Add log element. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_ada7db9f85fae36f27d6b6384971c09c5"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#ada7db9f85fae36f27d6b6384971c09c5">framework::core::FrameworkManager::FrameworkManager</a></div><div class="ttdeci">FrameworkManager(std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_abcdd863f5fe4dc6f63e2f2c6452024d7"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#abcdd863f5fe4dc6f63e2f2c6452024d7">framework::core::FrameworkManager::GetTabWidget</a></div><div class="ttdeci">gui::TabWidget * GetTabWidget(void) const </div><div class="ttdoc">Get TabWidget. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_a20b5c34e89f2254822c630f231ac8547"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#a20b5c34e89f2254822c630f231ac8547">framework::core::FrameworkManager::StopLog</a></div><div class="ttdeci">void StopLog(void)</div><div class="ttdoc">Stop logging. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html_ac9ace8e2d4239e880d40a0dbf0730cc1"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html#ac9ace8e2d4239e880d40a0dbf0730cc1">framework::core::FrameworkManager::StartLog</a></div><div class="ttdeci">void StartLog(void)</div><div class="ttdoc">Start logging. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_framework_manager_8h.html">FrameworkManager.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
